# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/watchdog/watchdog.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Watchdog Common Properties

maintainers:
  - Guenter Roeck <linux@roeck-us.net>
  - Wim Van Sebroeck <wim@linux-watchdog.org>

description: |
  This document describes generic bindings which can be used to
  describe watchdog devices in a device tree.

select:
  properties:
    $nodename:
      pattern: "^watchdog(@.*|-([0-9]|[1-9][0-9]+))?$"

properties:
  $nodename:
    pattern: "^(pmic|timer|watchdog)(@.*|-([0-9]|[1-9][0-9]+))?$"

  timeout-sec:
    maxItems: 1
    description:
      Contains the watchdog timeout in seconds.

additionalProperties: true

...
